Cria uma area de cobertura
curl --request POST \
--url https://api.example.com/v1/dealers/{dealerId}/coverage-areas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dealerId": "cbe566b9-035a-41f7-b000-10fc87c46e1a",
"name": "Pinheiros",
"mapLink": "https://www.google.com/maps/d/u/0/edit?mid=1IcMOorIOXXsr5wHedda6uEHkZe-bgco"
}
'import requests
url = "https://api.example.com/v1/dealers/{dealerId}/coverage-areas"
payload = {
"dealerId": "cbe566b9-035a-41f7-b000-10fc87c46e1a",
"name": "Pinheiros",
"mapLink": "https://www.google.com/maps/d/u/0/edit?mid=1IcMOorIOXXsr5wHedda6uEHkZe-bgco"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dealerId: 'cbe566b9-035a-41f7-b000-10fc87c46e1a',
name: 'Pinheiros',
mapLink: 'https://www.google.com/maps/d/u/0/edit?mid=1IcMOorIOXXsr5wHedda6uEHkZe-bgco'
})
};
fetch('https://api.example.com/v1/dealers/{dealerId}/coverage-areas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"errors": [
{
"code": "<string>",
"target": "<string>",
"message": "<string>"
}
]
}DealerCoverageAreas
Cria uma area de cobertura
POST
/
v1
/
dealers
/
{dealerId}
/
coverage-areas
Cria uma area de cobertura
Parâmetros de caminho
Identificador do dealer
Corpo
application/json
Dados de criação
Resposta
Created
Show child attributes
Show child attributes
Esta página foi útil?
⌘I